function appendObjToFd (obj, fData, acc) {
  for (var key in obj) {
    const fKey = acc ? `${acc}[${key}]` : key;

    if (obj[key] !== null) {
      switch (Object.prototype.toString.call(obj[key])) {
      case '[object Object]':
        appendObjToFd(obj[key], fData, fKey);
        break;
      case '[object Array]':
        obj[key].forEach(val => fData.append(`${fKey}[]`, val));
        break;
      default:
        fData.append(fKey, obj[key]);
      }
    }
  }
};

function objToFd (obj, fData = new FormData()) {
  appendObjToFd(obj, fData);
  return fData;
}

modules.exports = objToFd;
